## budgie-artwork 0.19.0

=== meson_options.txt ===
option(
  'theme_name',
  type: 'string',
  value: 'NewPocillo',
  description: 'Base theme name',
)

option(
  'colors',
  type: 'array',
  choices: ['default', 'light', 'dark'],
  description: 'List of color variants to build',
)

option(
  'sizes',
  type: 'array',
  choices: ['default', 'slim'],
  description: 'List of size variants to build',
)

option(
  'gnome_shell_version',
  type: 'string',
  description: 'Build GNOME Shell theme for specific version',
)

option(
  'gtk4_version',
  type: 'string',
  description: 'Build GTK 4 theme for specific version',
)

option(
  'flatpak',
  type: 'boolean',
  value: false,
  description: 'Whether to build theme for flatpak package',
)

option(
  'documentation',
  type: 'boolean',
  value: true,
  description: 'Whether to build with license and other doc info',
)

=== debian/changelog ===
budgie-artwork (0.19.0) noble; urgency=medium

  * Update mascots/logos for noble (LP: #2056591)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 23 Mar 2024 17:01:13 +0000

budgie-artwork (0.18.0) noble; urgency=medium

  * Rework our plymouth theme to be based on a spinner

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 25 Feb 2024 10:44:37 +0000

=== debian/control ===
Source: budgie-artwork
Priority: optional
Section: x11
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Standards-Version: 4.5.1
Vcs-Browser: https://github.com/UbuntuBudgie/budgie-artwork/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/budgie-artwork -b debian
Build-Depends: 
 debhelper-compat (=13),
 gtk-update-icon-cache,
 gtk2-engines-pixbuf,
 gtk2-engines-murrine,
 libglib2.0-dev-bin,
 libxml2-utils,
 sassc
Rules-Requires-Root: no

Package: budgie-lightdm-theme
Architecture: all
Depends: ${misc:Depends},
         budgie-lightdm-theme-base,
         budgie-wallpapers
Description: LightDM Greeter theme for Ubuntu Budgie
 This is the LightDM greeter theme and configuration
 used for a standalone Ubuntu Budgie installation.
 .
 This package can also be installed on
 other Ubuntu desktops desiring to use this
 theme, but it will replace the LightDM theme.

Package: budgie-lightdm-theme-base
Architecture: all
Breaks: budgie-lightdm-theme (<= 0.6.1),
    lightdm-gtk-greeter (<= 2.0.2)
Depends: ${misc:Depends},
         slick-greeter
Description: LightDM Session for Ubuntu Budgie
 This is the LightDM Session used to launch budgie-desktop
 without needing all of the Ubuntu Budgie styling changes.
 .
 This package allows ubiquity to autologin on self build installations.

Package: plymouth-theme-ubuntu-budgie-logo
Architecture: all
Depends: ${misc:Depends}, plymouth, plymouth-theme-spinner
Provides: plymouth-theme
Breaks: plymouth (<< 0.9.2-3ubuntu1~),
Description: graphical boot animation and logger - Ubuntu Budgie logo theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default Ubuntu Budgie logo theme.

Package: plymouth-theme-ubuntu-budgie-text
Architecture: all
Depends: ${misc:Depends}, plymouth, plymouth-theme-ubuntu-text
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Breaks: plymouth (<< 0.9.2-3ubuntu1~),
Description: graphical boot animation and logger - Ubuntu Budgie text theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default Ubuntu Budgie text theme used when no
 support for a graphical theme is found on your system.

Package: pocillo-icon-theme
Architecture: all
Depends: ${misc:Depends}
Description: Flat but colorful icon-set called Pocillo
 Pocillo is a flat but colorful icon-set based on Tela application icons
 and Qogir panel & symbolic icons. They are designed to be a clear, simple
 and consistent.  Designed to complement all shipped Ubuntu Budgie themes.

Package: ubuntu-budgie-themes
Architecture: all
Depends: gtk2-engines-pixbuf (>= 2.24.30),
	 gtk2-engines-murrine (>= 0.98.1),
	 libgtk2.0-common (>= 2.24.30),
	 libgtk-3-common (>= 3.22.24),
	 gnome-themes-extra (>= 3.22.3),
	 ${misc:Depends}
Description: GTK+3.24 based themes for Ubuntu Budgie
 Package contains GTK+3.24 based themes written specifically for
 Ubuntu Budgie and its desktop environment Budgie Desktop.
 .
 Pocillo is an adaptive GTK+ theme based on Material Design Guidelines.
 Using Arc based colors, the theme is designed to complement the
 Pocillo icon theme.

## budgie-artwork 0.19.0trisquel2

=== Makefile ===
all:
	

clean:
	

uninstall:
	

install:

=== debian/changelog ===
budgie-artwork (0.19.0trisquel2) ecne; urgency=medium

  * Rebuild for trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 04:39:45 +0000

=== debian/control ===
Source: budgie-artwork
Priority: optional
Section: x11
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Standards-Version: 4.5.1
Vcs-Browser: https://github.com/TrisquelBudgie/budgie-artwork/tree/debian
Vcs-Git: https://github.com/TrisquelBudgie/budgie-artwork -b debian
Build-Depends: 
 debhelper-compat (=13),
 gtk-update-icon-cache,
 gtk2-engines-pixbuf,
 gtk2-engines-murrine,
 libglib2.0-dev-bin,
 libxml2-utils,
 sassc
Rules-Requires-Root: no

Package: budgie-lightdm-theme
Architecture: all
Depends: ${misc:Depends},
         budgie-lightdm-theme-base,
         budgie-wallpapers
Description: LightDM Greeter theme for Trisquel Budgie
 This is the LightDM greeter theme and configuration
 used for a standalone Trisquel Budgie installation.
 .
 This package can also be installed on
 other Trisquel desktops desiring to use this
 theme, but it will replace the LightDM theme.

Package: budgie-lightdm-theme-base
Architecture: all
Breaks: budgie-lightdm-theme (<= 0.6.1),
    lightdm-gtk-greeter (<= 2.0.2)
Depends: ${misc:Depends},
         slick-greeter
Description: LightDM Session for Trisquel Budgie
 This is the LightDM Session used to launch budgie-desktop
 without needing all of the Trisquel Budgie styling changes.
 .
 This package allows ubiquity to autologin on self build installations.

Package: plymouth-theme-trisquel-budgie-logo
Architecture: all
Depends: ${misc:Depends}, plymouth, plymouth-theme-spinner
Provides: plymouth-theme
Breaks: plymouth (<< 0.9.2-3trisquel1~),
Description: graphical boot animation and logger - Trisquel Budgie logo theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default Trisquel Budgie logo theme.

Package: plymouth-theme-trisquel-budgie-text
Architecture: all
Depends: ${misc:Depends}, plymouth, plymouth-theme-trisquel-text
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Breaks: plymouth (<< 0.9.2-3trisquel1~),
Description: graphical boot animation and logger - Trisquel Budgie text theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default Trisquel Budgie text theme used when no
 support for a graphical theme is found on your system.

Package: pocillo-icon-theme
Architecture: all
Depends: ${misc:Depends}
Description: Flat but colorful icon-set called Pocillo
 Pocillo is a flat but colorful icon-set based on Tela application icons
 and Qogir panel & symbolic icons. They are designed to be a clear, simple
 and consistent.  Designed to complement all shipped Trisquel Budgie themes.

Package: trisquel-budgie-themes
Architecture: all
Depends: gtk2-engines-pixbuf (>= 2.24.30),
	 gtk2-engines-murrine (>= 0.98.1),
	 libgtk2.0-common (>= 2.24.30),
	 libgtk-3-common (>= 3.22.24),
	 gnome-themes-extra (>= 3.22.3),
	 ${misc:Depends}
Description: GTK+3.24 based themes for Trisquel Budgie
 Package contains GTK+3.24 based themes written specifically for
 Trisquel Budgie and its desktop environment Budgie Desktop.
 .
 Pocillo is an adaptive GTK+ theme based on Material Design Guidelines.
 Using Arc based colors, the theme is designed to complement the
 Pocillo icon theme.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export NO_PNG_PKG_MANGLE=1

%:
	dh $@
#	dh $@ --buildsystem=meson+ninja --> reinstate this when dart-sass is packaged

override_dh_clean:
	rm -rf ./debian/qogirbudgie
	rm -rf ./debian/telabudgie
	dh_clean

override_dh_auto_configure:
#	We have to wait until dart and dart-sass is packaged before being able to compile from source
#	dh_auto_configure -- -Dtheme_name=Pocillo -Ddocumentation=false --prefix="$(CURDIR)/debian/trisquel-budgie-themes"
	mkdir ./debian/qogirbudgie
	cd qogir-theme && bash ./InstallBudgie --tweaks square -n QogirBudgie -d "$(CURDIR)/debian/qogirbudgie"
	mkdir ./debian/telabudgie
	cd tela-icon-theme && bash ./install.sh -n TelaBudgie -d "$(CURDIR)/debian/telabudgie"

## budgie-artwork 0.19.0trisquel3

=== debian/changelog ===
budgie-artwork (0.19.0trisquel3) ecne; urgency=medium

  * Rebuild for trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 02 Nov 2025 07:50:28 +0000

## budgie-artwork 0.20.0

=== debian/changelog ===
budgie-artwork (0.20.0) oracular; urgency=medium

  * pull in latest tela/qogir icon theme from upstream
  * install with the latest Pocillo which includes budgie-dock theming

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 24 Jul 2024 22:13:13 +0100

## budgie-artwork 0.21.1

=== debian/changelog ===
budgie-artwork (0.21.1) plucky; urgency=medium

  * With the debian merge the ubuntu only lightdm-session script is no
    longer installed and lightdm doesn't default to lightdm-session
    (apparently).  We'll install a copy of the noble script renamed
    as budgie-lightdm-session will now be installed and our lightdm
    config file includes a session-wrapper key-pair for this new file
    (LP: #2098411)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 15 Feb 2025 18:28:55 +0000

budgie-artwork (0.21.0) plucky; urgency=medium

  * Create a light variant of the pocillo icon theme and ensure
    Pocillo defaults to using tela dark icons

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 21 Jan 2025 21:23:19 +0000

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_configure:
 #	We have to wait until dart and dart-sass is packaged before being able to compile from source
-#	dh_auto_configure -- -Dtheme_name=Pocillo -Ddocumentation=false --prefix="$(CURDIR)/debian/trisquel-budgie-themes"
+#	dh_auto_configure -- -Dtheme_name=Pocillo -Ddocumentation=false --prefix="$(CURDIR)/debian/ubuntu-budgie-themes"
 	mkdir ./debian/qogirbudgie
 	cd qogir-theme && bash ./InstallBudgie --tweaks square -n QogirBudgie -d "$(CURDIR)/debian/qogirbudgie"
 	mkdir ./debian/telabudgie

## budgie-artwork 0.22.0

=== pocillo-theme/meson_options.txt ===
option(
  'theme_name',
  type: 'string',
  value: 'Pocillo',
  description: 'Base theme name',
)

option(
  'colors',
  type: 'array',
  choices: ['default', 'light', 'dark', 'darkest', 'frappe'],
  description: 'List of color variants to build',
)

option(
  'sizes',
  type: 'array',
  choices: ['default', 'slim'],
  description: 'List of size variants to build',
)

option(
  'gnome_shell_version',
  type: 'string',
  description: 'Build GNOME Shell theme for specific version',
)

option(
  'gtk4_version',
  type: 'string',
  description: 'Build GTK 4 theme for specific version',
)

option(
  'flatpak',
  type: 'boolean',
  value: false,
  description: 'Whether to build theme for flatpak package',
)

option(
  'documentation',
  type: 'boolean',
  value: true,
  description: 'Whether to build with license and other doc info',
)

option(
  'labwc_icons',
  type: 'combo',
  choices: ['default', 'papirus'],
  value: 'default',
  description: 'Titlebar icons for labwc',
)

=== debian/changelog ===
budgie-artwork (0.22.0) resolute; urgency=medium

  * Latest pocillo-gtk-theme with labwc and addition colour variants
  * Latest pocillo-icon-theme
  * Latest qogir theme

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 29 Nov 2025 10:13:38 +0000

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,6 @@
 #	We have to wait until dart and dart-sass is packaged before being able to compile from source
 #	dh_auto_configure -- -Dtheme_name=Pocillo -Ddocumentation=false --prefix="$(CURDIR)/debian/ubuntu-budgie-themes"
 	mkdir ./debian/qogirbudgie
-	cd qogir-theme && bash ./InstallBudgie --tweaks square -n QogirBudgie -d "$(CURDIR)/debian/qogirbudgie"
+	cd qogir-theme && bash ./InstallBudgie -n QogirBudgie -d "$(CURDIR)/debian/qogirbudgie"
 	mkdir ./debian/telabudgie
 	cd tela-icon-theme && bash ./install.sh -n TelaBudgie -d "$(CURDIR)/debian/telabudgie"

## budgie-artwork 0.22.1

=== debian/changelog ===
budgie-artwork (0.22.1) resolute; urgency=medium

  * Refresh pocillo-gtk-theme from v0.12 release 

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 27 Dec 2025 20:06:54 +0000

## budgie-artwork 0.22.2

=== debian/changelog ===
budgie-artwork (0.22.2) resolute; urgency=medium

  * Add our sddm based theme
  * Latest pocillo-gtk-theme
  * d/copyright Update copyright for the sddm-theme
  * d/control Add budgie-sddm-theme binary package
     update StandardsVersion
     remove Requires-Root statement
     run wrap-and-sort -bst

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 24 Jan 2026 21:09:49 +0000

## budgie-artwork 0.22.3

=== debian/changelog ===
budgie-artwork (0.22.3) resolute; urgency=medium

  * SDDM Theme - add default avatar support

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 28 Jan 2026 19:47:23 +0000

=== debian/control ===
Source: budgie-artwork
Priority: optional
Section: x11
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Standards-Version: 4.7.0
Vcs-Browser: https://github.com/UbuntuBudgie/budgie-artwork/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/budgie-artwork -b debian
Build-Depends:
 debhelper-compat (=13),
 gtk-update-icon-cache,
 gtk2-engines-murrine,
 gtk2-engines-pixbuf,
 libglib2.0-dev-bin,
 libxml2-utils,
 sassc

Package: budgie-sddm-theme
Architecture: all
Depends:
 fonts-noto-core,
 fonts-noto-ui-core,
 qml6-module-qtmultimedia,
 qml6-module-qtquick,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-effects,
 qml6-module-qtquick-layouts,
 qml6-module-qtquick-window,
 qt6-virtualkeyboard-plugin,
 sddm,
 sddm-theme-elarun,
 ${misc:Depends},
Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-good,
Description: Ubuntu Budgie themed SDDM login screen
 A modern SDDM theme designed for Ubuntu Budgie featuring:
  - Noto Sans fonts
  - Pocillo-dark/Arc-dark color scheme
  - Video background support
  - Virtual keyboard support

Package: budgie-lightdm-theme
Architecture: all
Depends: budgie-lightdm-theme-base, budgie-wallpapers, ${misc:Depends},
Description: LightDM Greeter theme for Ubuntu Budgie
 This is the LightDM greeter theme and configuration
 used for a standalone Ubuntu Budgie installation.
 .
 This package can also be installed on
 other Ubuntu desktops desiring to use this
 theme, but it will replace the LightDM theme.

Package: budgie-lightdm-theme-base
Architecture: all
Breaks: budgie-lightdm-theme (<= 0.6.1), lightdm-gtk-greeter (<= 2.0.2),
Depends: slick-greeter, ${misc:Depends},
Description: LightDM Session for Ubuntu Budgie
 This is the LightDM Session used to launch budgie-desktop
 without needing all of the Ubuntu Budgie styling changes.
 .
 This package allows ubiquity to autologin on self build installations.

Package: plymouth-theme-ubuntu-budgie-logo
Architecture: all
Depends: plymouth, plymouth-theme-spinner, ${misc:Depends},
Provides: plymouth-theme,
Breaks: plymouth (<< 0.9.2-3ubuntu1~),
Description: graphical boot animation and logger - Ubuntu Budgie logo theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default Ubuntu Budgie logo theme.

Package: plymouth-theme-ubuntu-budgie-text
Architecture: all
Depends: plymouth, plymouth-theme-ubuntu-text, ${misc:Depends},
Provides: plymouth-theme,
Replaces: plymouth (<< 0.8.1-1~),
Breaks: plymouth (<< 0.9.2-3ubuntu1~),
Description: graphical boot animation and logger - Ubuntu Budgie text theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default Ubuntu Budgie text theme used when no
 support for a graphical theme is found on your system.

Package: pocillo-icon-theme
Architecture: all
Depends: ${misc:Depends},
Description: Flat but colorful icon-set called Pocillo
 Pocillo is a flat but colorful icon-set based on Tela application icons
 and Qogir panel & symbolic icons. They are designed to be a clear, simple
 and consistent.  Designed to complement all shipped Ubuntu Budgie themes.

Package: ubuntu-budgie-themes
Architecture: all
Depends:
 gnome-themes-extra (>= 3.22.3),
 gtk2-engines-murrine (>= 0.98.1),
 gtk2-engines-pixbuf (>= 2.24.30),
 libgtk-3-common (>= 3.22.24),
 libgtk2.0-common (>= 2.24.30),
 ${misc:Depends},
Description: GTK+3.24 based themes for Ubuntu Budgie
 Package contains GTK+3.24 based themes written specifically for
 Ubuntu Budgie and its desktop environment Budgie Desktop.
 .
 Pocillo is an adaptive GTK+ theme based on Material Design Guidelines.
 Using Arc based colors, the theme is designed to complement the
 Pocillo icon theme.

## budgie-artwork 0.22.4

=== pocillo-theme/meson_options.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 option(
   'labwc_icons',
   type: 'combo',
-  choices: ['default', 'papirus'],
-  value: 'default',
+  choices: ['papirus', 'qogir'],
+  value: 'qogir',
   description: 'Titlebar icons for labwc',
 )

=== slickSDDM/Makefile ===
# Makefile for Ubuntu Budgie SDDM Theme Translations
# Simplifies translation workflow using Qt6 tools

THEME_DIR = /usr/share/sddm/themes/ubuntu-budgie-login
LUPDATE = /usr/lib/qt6/bin/lupdate
LRELEASE = /usr/lib/qt6/bin/lrelease
LINGUIST = linguist-qt6

# Find all translation files
TRANSLATIONS = $(wildcard translations/*.ts)
QM_FILES = $(TRANSLATIONS:.ts=.qm)

.PHONY: all help translations install clean check-tools update-ts stats

# Default target
all: check-tools translations

# Help information
help:
	@echo "Ubuntu Budgie SDDM Theme - Translation Management"
	@echo ""
	@echo "Available targets:"
	@echo "  make translations     - Compile all .ts files to .qm"
	@echo "  make update-ts        - Extract strings from QML and update .ts files"
	@echo "  make install          - Install translations to system and restart SDDM"
	@echo "  make stats            - Show translation statistics"
	@echo "  make edit-LANG        - Open LANG translation in Qt Linguist (e.g., make edit-es)"
	@echo "  make clean            - Remove compiled .qm files"
	@echo "  make check-tools      - Verify Qt6 tools are installed"
	@echo ""
	@echo "Examples:"
	@echo "  make update-ts        # Extract new strings"
	@echo "  make edit-es          # Edit Spanish translation"
	@echo "  make translations     # Compile all"
	@echo "  sudo make install     # Deploy to system"

# Check if required tools are installed
check-tools:
	@echo "Checking for required Qt6 tools..."
	@which $(LUPDATE) > /dev/null 2>&1 || (echo "Error: lupdate not found. Install with: sudo apt install qt6-l10n-tools" && exit 1)
	@which $(LRELEASE) > /dev/null 2>&1 || (echo "Error: lrelease not found. Install with: sudo apt install qt6-l10n-tools" && exit 1)
	@echo "✓ Qt6 tools found"

# Compile all translations
translations: $(QM_FILES)
	@echo "✓ All translations compiled"

# Rule to compile individual .ts to .qm
%.qm: %.ts
	@echo "Compiling $<..."
	@$(LRELEASE) $< -qm $@

# Extract translatable strings from source code and update .ts files
update-ts: check-tools
	@echo "Extracting translatable strings from QML files..."
	@$(LUPDATE) -recursive components -ts $(TRANSLATIONS)
	@echo "✓ Translation files updated"

# Open translation in Qt Linguist for editing
edit-%: check-tools
	@echo "Opening theme_$*.ts in Qt Linguist..."
	@test -f translations/theme_$*.ts || (echo "Error: translations/theme_$*.ts not found" && exit 1)
	@$(LINGUIST) translations/theme_$*.ts &

# Install to system
install: translations
	@echo "Installing translations to $(THEME_DIR)..."
	@install -d $(THEME_DIR)/translations
	@install -m 644 translations/*.ts $(THEME_DIR)/translations/
	@install -m 644 translations/*.qm $(THEME_DIR)/translations/
	@echo "✓ Translations installed"
	@echo ""
	@read -p "Restart SDDM now? [y/N] " -n 1 -r; \
	echo; \
	if [[ $$REPLY =~ ^[Yy]$$ ]]; then \
		echo "Restarting SDDM..."; \
		systemctl restart sddm; \
		echo "✓ SDDM restarted"; \
	else \
		echo "Remember to restart SDDM: sudo systemctl restart sddm"; \
	fi

# Clean compiled files
clean:
	@echo "Removing compiled .qm files..."
	@rm -f translations/*.qm
	@echo "✓ Clean complete"

# Show translation statistics
stats: check-tools
	@echo "Translation Statistics:"
	@echo "======================"
	@for ts in $(TRANSLATIONS); do \
		lang=$$(basename $$ts .ts | sed 's/theme_//'); \
		echo ""; \
		echo "$$lang ($$(basename $$ts)):"; \
		$(LRELEASE) -verbose $$ts 2>&1 | grep -E "Generated|translation" | head -2; \
	done
	@echo ""

# Test all translations
test: check-tools
	@echo "Testing translations..."
	@for ts in $(TRANSLATIONS); do \
		lang=$$(basename $$ts .ts | sed 's/theme_//'); \
		echo "Testing $$lang..."; \
		LANGUAGE=$$lang sddm-greeter --test-mode & \
		sleep 2; \
		killall sddm-greeter-qt6 2>/dev/null || true; \
	done
	@echo "✓ Testing complete"

# Create a new translation
new-%: check-tools
	@echo "Creating new translation for $*..."
	@test -f translations/theme_$*.ts && echo "Warning: translations/theme_$*.ts already exists" || true
	@$(LUPDATE) -recursive components -ts translations/theme_$*.ts
	@echo "✓ Created translations/theme_$*.ts"
	@echo "Edit it with: make edit-$*"

# Verify installation
verify:
	@echo "Verifying installation..."
	@echo ""
	@echo "Checking .ts files:"
	@ls -lh $(THEME_DIR)/translations/*.ts 2>/dev/null || echo "  No .ts files found"
	@echo ""
	@echo "Checking .qm files:"
	@ls -lh $(THEME_DIR)/translations/*.qm 2>/dev/null || echo "  No .qm files found"
	@echo ""
	@echo "Checking TranslationManager:"
	@grep -q "qsTr" $(THEME_DIR)/components/TranslationManager.qml && echo "  ✓ Using qsTr() (new system)" || echo "  ✗ Not using qsTr() (old system?)"
	@echo ""
	@echo "Recent SDDM logs:"
	@journalctl -u sddm -b | tail -5

.PHONY: test new-% verify

=== debian/changelog ===
budgie-artwork (0.22.4) resolute; urgency=medium

  * No need to install elarun - just use a Provides statement
    when packaging to denote that our sddm package satisfies the
    sddm-theme virtual package

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 31 Jan 2026 10:10:01 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,6 @@
 Build-Depends:
  debhelper-compat (=13),
  gtk-update-icon-cache,
- gtk2-engines-murrine,
- gtk2-engines-pixbuf,
  libglib2.0-dev-bin,
  libxml2-utils,
  sassc
@@ -26,10 +24,9 @@
  qml6-module-qtquick-layouts,
  qml6-module-qtquick-window,
  qt6-virtualkeyboard-plugin,
- sddm,
- sddm-theme-elarun,
  ${misc:Depends},
-Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-good,
+Recommends: sddm, gstreamer1.0-libav, gstreamer1.0-plugins-good
+Provides: sddm-theme
 Description: Ubuntu Budgie themed SDDM login screen
  A modern SDDM theme designed for Ubuntu Budgie featuring:
   - Noto Sans fonts
@@ -50,7 +47,7 @@
 
 Package: budgie-lightdm-theme-base
 Architecture: all
-Breaks: budgie-lightdm-theme (<= 0.6.1), lightdm-gtk-greeter (<= 2.0.2),
+Breaks: budgie-lightdm-theme, lightdm-gtk-greeter,
 Depends: slick-greeter, ${misc:Depends},
 Description: LightDM Session for Ubuntu Budgie
  This is the LightDM Session used to launch budgie-desktop
@@ -62,7 +59,6 @@
 Architecture: all
 Depends: plymouth, plymouth-theme-spinner, ${misc:Depends},
 Provides: plymouth-theme,
-Breaks: plymouth (<< 0.9.2-3ubuntu1~),
 Description: graphical boot animation and logger - Ubuntu Budgie logo theme
  Plymouth is an application that runs very early in the boot process
  (even before the root filesystem is mounted!) that provides a graphical
@@ -74,8 +70,6 @@
 Architecture: all
 Depends: plymouth, plymouth-theme-ubuntu-text, ${misc:Depends},
 Provides: plymouth-theme,
-Replaces: plymouth (<< 0.8.1-1~),
-Breaks: plymouth (<< 0.9.2-3ubuntu1~),
 Description: graphical boot animation and logger - Ubuntu Budgie text theme
  Plymouth is an application that runs very early in the boot process
  (even before the root filesystem is mounted!) that provides a graphical
@@ -95,11 +89,7 @@
 Package: ubuntu-budgie-themes
 Architecture: all
 Depends:
- gnome-themes-extra (>= 3.22.3),
- gtk2-engines-murrine (>= 0.98.1),
- gtk2-engines-pixbuf (>= 2.24.30),
- libgtk-3-common (>= 3.22.24),
- libgtk2.0-common (>= 2.24.30),
+ libgtk-3-common,
  ${misc:Depends},
 Description: GTK+3.24 based themes for Ubuntu Budgie
  Package contains GTK+3.24 based themes written specifically for

## budgie-artwork 0.22.5

=== debian/changelog ===
budgie-artwork (0.22.5) resolute; urgency=medium

  * Remove unneeded breaks on package budgie-lightdm-theme-base

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 01 Feb 2026 14:33:47 +0000

## budgie-artwork 0.22.6

=== slickSDDM/Makefile ===
# slickSDDM Theme - Flexible Installation Makefile
# Supports both direct installation and git submodule usage

# ============================================================================
# Configuration Variables
# ============================================================================

# Theme identification
THEME_NAME ?= ubuntu-budgie-login
THEME_VERSION ?= 1.0.0

# Installation paths
PREFIX ?= /usr
INSTALL_DIR ?= $(PREFIX)/share/sddm/themes/$(THEME_NAME)
SDDM_CONF_DIR ?= /etc/sddm.conf.d

# Distro-specific configuration
# Can be:
#  - Path to distro folder (e.g., distro/ubuntu-budgie)
#  - External path (e.g., ../my-distro-config for submodule usage)
DISTRO_DIR ?= distro/ubuntu-budgie

# Optional: Override individual distro components
DISTRO_METADATA ?= $(DISTRO_DIR)/metadata.desktop
DISTRO_THEME_CONF ?= $(DISTRO_DIR)/theme.conf
DISTRO_SDDM_CONF ?= $(DISTRO_DIR)/*.conf
DISTRO_FACES_DIR ?= $(DISTRO_DIR)/faces

# Build settings
VERBOSE ?= 0

# ============================================================================
# Colors for output
# ============================================================================

ifeq ($(VERBOSE),1)
  Q =
else
  Q = @
endif

GREEN  := \033[0;32m
YELLOW := \033[1;33m
BLUE   := \033[0;34m
RED    := \033[0;31m
NC     := \033[0m

define print_info
	@echo "$(BLUE)>>> $(1)$(NC)"
endef

define print_success
	@echo "$(GREEN)✓ $(1)$(NC)"
endef

define print_warning
	@echo "$(YELLOW)⚠ $(1)$(NC)"
endef

define print_error
	@echo "$(RED)✗ $(1)$(NC)"
endef

# ============================================================================
# Main Targets
# ============================================================================

.PHONY: all help install install-core install-distro install-translations \
        uninstall clean check-distro-config info test

# Default target
all: help

help:
	@echo "$(GREEN)slickSDDM Theme Installation$(NC)"
	@echo "======================================"
	@echo ""
	@echo "Usage:"
	@echo "  make install                    - Install complete theme (core + distro config)"
	@echo "  make install-core               - Install only core theme files"
	@echo "  make install-distro             - Install only distro-specific files"
	@echo "  make uninstall                  - Remove installed theme"
	@echo ""
	@echo "Configuration Variables:"
	@echo "  THEME_NAME=name                 - Theme name (default: ubuntu-budgie-login)"
	@echo "  DISTRO_DIR=path                 - Path to distro config folder"
	@echo "  INSTALL_DIR=path                - Installation directory"
	@echo "  SDDM_CONF_DIR=path              - SDDM config directory"
	@echo ""
	@echo "Examples:"
	@echo "  # Standard installation (Ubuntu Budgie)"
	@echo "  sudo make install"
	@echo ""
	@echo "  # Installation from git submodule"
	@echo "  sudo make install DISTRO_DIR=../my-distro-config THEME_NAME=my-theme"
	@echo ""
	@echo "  # Install without distro files (use defaults)"
	@echo "  sudo make install-core"
	@echo ""
	@echo "  # Custom installation paths"
	@echo "  sudo make install INSTALL_DIR=/opt/sddm-themes/my-theme"
	@echo ""
	@echo "Info:"
	@echo "  make info                       - Display configuration"
	@echo "  make check-distro-config        - Validate distro configuration"
	@echo ""
	@echo "Testing:"
	@echo "  make test                       - Run translation tests"
	@echo ""
	@echo "Documentation: See INTEGRATION_GUIDE.md for using as submodule"

# Display current configuration
info:
	@echo "$(BLUE)Current Configuration:$(NC)"
	@echo "  Theme Name:        $(THEME_NAME)"
	@echo "  Theme Version:     $(THEME_VERSION)"
	@echo "  Install Directory: $(INSTALL_DIR)"
	@echo "  SDDM Config Dir:   $(SDDM_CONF_DIR)"
	@echo "  Distro Directory:  $(DISTRO_DIR)"
	@echo ""
	@echo "Distro Components:"
	@echo "  Metadata:          $(DISTRO_METADATA)"
	@echo "  Theme Config:      $(DISTRO_THEME_CONF)"
	@echo "  SDDM Config:       $(DISTRO_SDDM_CONF)"
	@echo "  Faces Directory:   $(DISTRO_FACES_DIR)"

# Check if distro configuration is valid
check-distro-config:
	$(call print_info,Checking distro configuration...)
	$(Q)if [ ! -d "$(DISTRO_DIR)" ]; then \
		$(call print_error,Distro directory not found: $(DISTRO_DIR)); \
		exit 1; \
	fi
	$(Q)if [ ! -f "$(DISTRO_METADATA)" ]; then \
		$(call print_warning,metadata.desktop not found, will use example); \
	fi
	$(Q)if [ ! -f "$(DISTRO_THEME_CONF)" ]; then \
		$(call print_warning,theme.conf not found, will use example); \
	fi
	$(call print_success,Distro configuration valid)

# ============================================================================
# Installation Targets
# ============================================================================

# Complete installation
install: check-distro-config install-core install-distro install-translations
	$(call print_success,Theme installation complete!)
	@echo ""
	@echo "$(YELLOW)Next steps:$(NC)"
	@echo "  1. Test theme: sddm-greeter-qt6 --test-mode --theme $(INSTALL_DIR)"
	@echo "  2. Restart SDDM: sudo systemctl restart sddm"
	@echo "  3. Customize: sudo customize-theme --interactive"

# Install core theme files (distro-agnostic)
install-core:
	$(call print_info,Installing core theme files to $(INSTALL_DIR))
	
	# Create directories
	$(Q)install -d $(INSTALL_DIR)
	$(Q)install -d $(INSTALL_DIR)/components
	$(Q)install -d $(INSTALL_DIR)/components/QtQuick/VirtualKeyboard/Styles/vkeyboardStyle
	$(Q)install -d $(INSTALL_DIR)/icons
	$(Q)install -d $(INSTALL_DIR)/icons/sessions
	$(Q)install -d $(INSTALL_DIR)/backgrounds
	$(Q)install -d $(INSTALL_DIR)/translations
	
	# Install QML files
	$(call print_info,Installing QML components...)
	$(Q)install -m 644 sddm-theme/Main.qml $(INSTALL_DIR)/
	$(Q)install -m 644 sddm-theme/components/*.qml $(INSTALL_DIR)/components/
	$(Q)install -m 644 sddm-theme/components/qmldir $(INSTALL_DIR)/components/
	$(Q)install -m 644 sddm-theme/components/QtQuick/VirtualKeyboard/Styles/vkeyboardStyle/*.qml \
		$(INSTALL_DIR)/components/QtQuick/VirtualKeyboard/Styles/vkeyboardStyle/
	
	# Install icons
	$(call print_info,Installing icons...)
	$(Q)install -m 644 sddm-theme/icons/*.svg $(INSTALL_DIR)/icons/
	$(Q)install -m 644 sddm-theme/icons/sessions/*.svg $(INSTALL_DIR)/icons/sessions/
	
	# Install default background
	$(call print_info,Installing default background...)
	$(Q)if [ -f sddm-theme/backgrounds/default.jpg ]; then \
		install -m 644 sddm-theme/backgrounds/default.jpg $(INSTALL_DIR)/backgrounds/; \
	fi
	
	# Install example configuration if no distro config
	$(Q)if [ ! -f "$(DISTRO_THEME_CONF)" ]; then \
		$(call print_warning,Using example theme.conf); \
		install -m 644 sddm-theme/theme.conf.example $(INSTALL_DIR)/theme.conf; \
	fi
	
	# Install example metadata if no distro metadata
	$(Q)if [ ! -f "$(DISTRO_METADATA)" ]; then \
		$(call print_warning,Using example metadata.desktop); \
		install -m 644 sddm-theme/metadata.desktop.example $(INSTALL_DIR)/metadata.desktop; \
	fi
	
	$(call print_success,Core theme files installed)

# Install distro-specific files
install-distro: check-distro-config
	$(call print_info,Installing distro-specific files from $(DISTRO_DIR))
	
	# Install metadata.desktop
	$(Q)if [ -f "$(DISTRO_METADATA)" ]; then \
		$(call print_info,Installing metadata.desktop...); \
		install -m 644 $(DISTRO_METADATA) $(INSTALL_DIR)/metadata.desktop; \
	fi
	
	# Install theme.conf
	$(Q)if [ -f "$(DISTRO_THEME_CONF)" ]; then \
		$(call print_info,Installing theme.conf...); \
		install -m 644 $(DISTRO_THEME_CONF) $(INSTALL_DIR)/theme.conf; \
	fi
	
	# Install SDDM configuration
	$(Q)if [ -n "$(wildcard $(DISTRO_SDDM_CONF))" ]; then \
		$(call print_info,Installing SDDM configuration...); \
		install -d $(SDDM_CONF_DIR); \
		install -m 644 $(DISTRO_SDDM_CONF) $(SDDM_CONF_DIR)/; \
	fi
	
	# Install avatar faces
	$(Q)if [ -d "$(DISTRO_FACES_DIR)" ] && [ -n "$$(ls -A $(DISTRO_FACES_DIR) 2>/dev/null)" ]; then \
		$(call print_info,Installing avatar faces...); \
		install -d $(INSTALL_DIR)/faces; \
		install -m 644 $(DISTRO_FACES_DIR)/*.png $(INSTALL_DIR)/faces/ 2>/dev/null || true; \
	else \
		$(call print_warning,No avatar faces found in $(DISTRO_FACES_DIR)); \
		$(call print_info,Generating default faces...); \
		install -d $(INSTALL_DIR)/faces; \
		bash scripts/generate-default-faces.sh || true; \
	fi
	
	$(call print_success,Distro-specific files installed)

# Install translations
install-translations:
	$(call print_info,Installing translations...)
	$(Q)install -d $(INSTALL_DIR)/translations
	$(Q)if [ -n "$$(ls -A sddm-theme/translations/*.ts 2>/dev/null)" ]; then \
		install -m 644 sddm-theme/translations/*.ts $(INSTALL_DIR)/translations/; \
	fi
	$(call print_success,Translations installed)

# Install customization script
install-scripts:
	$(call print_info,Installing customization scripts...)
	$(Q)install -d $(PREFIX)/bin
	$(Q)install -m 755 scripts/customize-theme $(PREFIX)/bin/
	$(call print_success,Scripts installed)

# ============================================================================
# Uninstallation
# ============================================================================

uninstall:
	$(call print_info,Removing theme from $(INSTALL_DIR))
	$(Q)rm -rf $(INSTALL_DIR)
	$(Q)rm -f $(SDDM_CONF_DIR)/*$(THEME_NAME)*.conf
	$(Q)rm -f $(PREFIX)/bin/customize-theme
	$(call print_success,Theme uninstalled)

# ============================================================================
# Development Targets
# ============================================================================

# Run translation tests
test:
	$(call print_info,Running translation tests...)
	$(Q)python3 tests/test_translations.py

# Clean build artifacts
clean:
	$(call print_info,Cleaning build artifacts...)
	$(Q)find sddm-theme/translations -name "*.qm" -delete
	$(call print_success,Clean complete)

# Pull translations from Transifex
translations-pull:
	$(call print_info,Pulling translations from Transifex...)
	$(Q)bash scripts/tx-pull.sh

# ============================================================================
# Quick Install Targets for Common Scenarios
# ============================================================================

# Quick install for Ubuntu Budgie (default)
.PHONY: install-ubuntu-budgie
install-ubuntu-budgie:
	$(MAKE) install THEME_NAME=ubuntu-budgie-login DISTRO_DIR=distro/ubuntu-budgie

# Install with automatic face generation
.PHONY: install-with-faces
install-with-faces: install
	$(call print_info,Generating avatar faces...)
	$(Q)bash scripts/generate-default-faces.sh

# Install for testing (with verbose output)
.PHONY: install-test
install-test:
	$(MAKE) install VERBOSE=1
	$(call print_info,Testing theme...)
	sddm-greeter-qt6 --test-mode --theme $(INSTALL_DIR)

# ============================================================================
# Packaging Helpers
# ============================================================================

.PHONY: install-debian install-rpm

# Debian/Ubuntu packaging
install-debian: INSTALL_DIR = $(DESTDIR)/usr/share/sddm/themes/$(THEME_NAME)
install-debian: SDDM_CONF_DIR = $(DESTDIR)/etc/sddm.conf.d
install-debian: PREFIX = $(DESTDIR)/usr
install-debian: install

# RPM packaging  
install-rpm: INSTALL_DIR = $(DESTDIR)/usr/share/sddm/themes/$(THEME_NAME)
install-rpm: SDDM_CONF_DIR = $(DESTDIR)/etc/sddm.conf.d
install-rpm: PREFIX = $(DESTDIR)/usr
install-rpm: install

# ============================================================================
# Help for Submodule Integration
# ============================================================================

.PHONY: help-submodule
help-submodule:
	@echo "$(GREEN)Using slickSDDM as a Git Submodule$(NC)"
	@echo "======================================"
	@echo ""
	@echo "1. Add as submodule to your project:"
	@echo "   git submodule add https://github.com/ubuntubudgie/slickSDDM.git"
	@echo ""
	@echo "2. Create your distro configuration:"
	@echo "   mkdir -p my-distro-config"
	@echo "   cp slickSDDM/distro/ubuntu-budgie/* my-distro-config/"

=== debian/changelog ===
budgie-artwork (0.22.6) resolute; urgency=medium

  * Translation support for slickSDDM

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 10 Feb 2026 20:20:48 +0000

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,6 @@
 
 Package: budgie-lightdm-theme-base
 Architecture: all
-Breaks: budgie-lightdm-theme, lightdm-gtk-greeter,
 Depends: slick-greeter, ${misc:Depends},
 Description: LightDM Session for Ubuntu Budgie
  This is the LightDM Session used to launch budgie-desktop
